/**
  *
  * Basisklasse fr eine Aktion, die Rckgngig gemacht werden kann.
  *
  * @version 1.0 vom 27.11.2013
  * @author Daniel Garmann
  */

public abstract class Aktion {
  
  // Anfang Attribute
  public static final int ZEIGERERSTELLEN = 1;
  public static final int ZEIGERLOESCHEN = 2;
  public static final int REFERENZSETZEN = 3;
  public static final int INHALTBELEGEN = 4;
  public static final int VERSCHIEBEN = 5;
  public static final int OBJEKTERSTELLEN = 6;
  public static final int SPEICHERBEREINIGUNG = 7;
  
  protected int typ;
  // Ende Attribute
  
  // Anfang Methoden
  public Aktion(int typ) {
    this.typ = typ;
  }
  
  public abstract void rueckgaengig();
  
  public abstract void wiederholen();
  
  
  // Ende Methoden
}
