/**
  *
  * Objekte der Klasse stellen eine Inhalt-nderungsaktion dar, welche rckgngig gemacht werden kann.
  *
  * @version 1.0 vom 27.11.2013
  * @author Daniel Garmann
  */

public class AktionInhalt extends Aktion {
  
  // Anfang Attribute
  private Listenobjekt objekt;
  private String alterInhalt, neuerInhalt;
  // Ende Attribute
  
  // Anfang Methoden
  public AktionInhalt(int typ, Listenobjekt objekt, String alterInhalt, String neuerInhalt) {
    super(typ);
    this.objekt = objekt;
    this.alterInhalt = alterInhalt;
    this.neuerInhalt = neuerInhalt;
  }
  
  public void rueckgaengig() {
    objekt.setInhalt(alterInhalt);
  }
  
  public void wiederholen() {
    objekt.setInhalt(neuerInhalt);
  }
  
  // Ende Methoden
}
