/**
  *
  * Objekte der Klasse stellen eine Referenz-nderungs-Aktion dar, welche rckgngig gemacht werden kann.
  *
  * @version 1.0 vom 27.11.2013
  * @author Daniel Garmann
  */

public class AktionReferenz extends Aktion {
  
  // Anfang Attribute
  private Punkt zeigerEnde;
  private Listenobjekt alteReferenz, neueReferenz;
  // Ende Attribute
  
  // Anfang Methoden
  public AktionReferenz(int typ, Punkt zeigerEnde, Listenobjekt alteReferenz, Listenobjekt neueReferenz){
    super(typ);
    this.zeigerEnde = zeigerEnde;
    this.alteReferenz = alteReferenz;
    this.neueReferenz = neueReferenz;
  }
  
  public void setNeueReferenz(Listenobjekt neueReferenz) {
    this.neueReferenz = neueReferenz;
  }
  
  public void rueckgaengig() {
    zeigerEnde.getBesitzer().setReferenz(alteReferenz);
  }

  public void wiederholen() {
    zeigerEnde.getBesitzer().setReferenz(neueReferenz);
  }
  
  
  // Ende Methoden
}
