/**
  *
  * Objekte der Klasse stellen eine Objekt-Verschiebungs-Aktion dar, welche rckgngig gemacht werden kann.
  *
  * @version 1.0 vom 27.11.2013
  * @author Daniel Garmann
  */

public class AktionVerschieben extends Aktion {
  
  // Anfang Attribute
  private Darstellungsobjekt objekt;
  private int dx, dy;
  // Ende Attribute
  
  // Anfang Methoden
  public AktionVerschieben(int typ, Darstellungsobjekt objekt, int dx, int dy) {
    super(typ);
    this.objekt = objekt;
    this.dx = dx;
    this.dy = dy;
  }
  
  public void rueckgaengig() {
    objekt.setX(objekt.getX()-dx);
    objekt.setY(objekt.getY()-dy);
  }
  
  public void wiederholen() {
    objekt.setX(objekt.getX()+dx);
    objekt.setY(objekt.getY()+dy);
  }
  
  // Ende Methoden
}
