import java.util.*;
/**
  *
  * Objekte der Klasse stellen eine Speicherbereinigungsaktion dar, welche rckgngig gemacht werden kann.
  *
  * @version 1.0 vom 29.11.2013
  * @author 
  */

public class AktionSpeicherbereinigung extends Aktion {
  
  // Anfang Attribute
  private ArrayList<Darstellungsobjekt> geloeschteObjekte;
  private Hauptspeicher hs;
  // Ende Attribute
  
  // Anfang Methoden
  public AktionSpeicherbereinigung(int typ, Hauptspeicher hs, ArrayList<Darstellungsobjekt> objekte) {
    super(typ);
    this.geloeschteObjekte = objekte;
    this.hs = hs;
  }
  
  public void rueckgaengig() {
    hs.reaktivereDarstellungsobjekte(geloeschteObjekte);
  }
  
  public void wiederholen() {
    hs.speicherbereinigung();
  }
  
  // Ende Methoden
}
