import java.awt.*;
/**
  *
  * Objekte der Klasse knnen auf der Zeichenflche des virtuellen Hauptspeichers
  * dargestellt werden. Die Klasse ist Basisklasse fr Listenobjekte und Zeiger
  *
  * @version 1.0 vom 23.11.2013
  * @author Daniel Garmann
  */

public abstract class Hauptspeicherobjekt extends Darstellungsobjekt {
  
  // Anfang Attribute
  private Listenobjekt referenz;
  private Punkt zeigerEnde;
  // Ende Attribute
  
  // Anfang Methoden  
  
  
  /**
   * Konstruktor
   */
  public Hauptspeicherobjekt(int x, int y, Optionen optionen, Listenobjekt neueReferenz) {
    super(x,y, optionen);
    referenz = neueReferenz;
    zeigerEnde = new Punkt(x+105,y+25, this, optionen);
  }
  
  public Listenobjekt getReferenz() {
    return referenz;
  }
  
  public void setReferenz(Listenobjekt neueReferenz) {
    referenz = neueReferenz;
  }
  
  public Punkt getZeigerEnde() {
    return zeigerEnde;
  }
  
  // Ende Methoden
}
